NFSDCLTS(8)

NAME
nfsdclnts - print various nfs client information for knfsd server.

SYNOPSIS

nfsdclnts [-h] [-t type] [--clientinfo] [--hostname] [-q]

DESCRIPTION

The nfsdclnts(8) command parses the content present in /proc/fs/nfsd/clients/ directories. nfsdclnts(8) displays files which are open, locked, delegated by the nfs-client. It also prints useful client information such as hostname, clientID, NFS version mounted by the nfs-client.

OPTIONS

-t, --type=TYPE
    Specify the type of file to be displayed. Takes only one TYPE at a time.

    open, lock, deleg, layout, or all

    open: displays the open files by nfs-client(s).

    lock: displays the files locked by nfs-client(s).

    layout: displays the files for which layout is given.

    deleg: displays delegated files information and delegation type.

    all: prints all the above type.

--clientinfo
    displays various nfs-client info fields such as version of nfs mounted at nfs-client and clientID.

--hostname
    Print hostname of nfs-client instead of ip-address.

-q, --quiet
    Hide the header information.

-v, --verbose
    Verbose operation, show debug messages.

-f, --file
    Instead of processing all client directories under /proc/fs/nfsd/clients, one can provide a specific states file to process. One should make sure that info file resides in the same directory as states file. If the info file is not valid or present the fields would be marked as "N/A".

-h, --help
    Print help explaining the command line options.

EXAMPLES

nfsdclnts --type open
    List all files with open type only.

    Inode number | Type   | Access | Deny | ip address            | Filename
    33823232     | open   | r-     | --   | [::1]:757             | testfile

nfsdclnts --type deleg
    List all files with deleg type only.

    Inode number | Type   | Access | ip address            | Filename
    33823232     | deleg  | r      | [::1]:757             | testfile

nfsdclnts --hostname
    Print hostname instead of ip-address.

    Inode number | Type   | Access | Deny | Hostname              | Filename
    33823232     | open   | r-     | --   | nfs-server            | testfile
    33823232     | deleg  | r      |      | nfs-server            | testfile

nfsdclnts --clientinfo
    Print client information.

    Inode number | Type   | Access | Deny | ip address            | Client ID           | vers | Filename
    33823232     | open   | r-     | --   | [::1]:757             | 0xc79a009f5eb65e84  | 4.2  | testfile
    33823232     | deleg  | r      |      | [::1]:757             | 0xc79a009f5eb65e84  | 4.2  | testfile

nfsdclnts --file /proc/fs/nfsd/clients/3/states -t open
    Process specific states file.

    Inode number | Type   | Access | Deny | ip address            | Client ID           | vers | Filename
    33823232     | open   | r-     | --   | [::1]:757             | 0xc79a009f5eb65e84  | 4.2  | testfile

nfsdclnts --quiet --hostname
    Hide the header information.

    33823232     | open   | r-     | --   | nfs-server            | testfile
    33823232     | deleg  | r      |      | nfs-server            | testfile

FILES

/proc/fs/nfsd/clients/

Displays basic information about each NFSv4 client.

/proc/fs/nfsd/clients/#/info

Displays information about all the opens held by the given client, including open modes, device numbers, inode numbers, and open owners.

/proc/fs/nfsd/clients/#/states

NOTES

/proc/fs/nfsd/clients/ support was initially introduced in 5.3 kernel and is only implemented for mount points using NFSv4.

BUGS
Please report any BUGs to

SEE ALSO
nfsd(8), exportfs(8), idmapd(8), statd(8)

AUTHORS
Achilles Gaikwad <agaikwad@redhat.com> and Kenneth D'souza <kdsouza@redhat.com>